Robotsystem from Robot Group Leipzig: InvertMotorController Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# InvertMotorController Class Reference

`#include <invertmotorcontroller.h>`

Inheritance diagram for InvertMotorController:

[legend]
Collaboration diagram for InvertMotorController:

[legend]
List of all members.

## Detailed Description

Abstract class (interface) for robot controller that use direct matrix inversion and simple one layer networks.

Implements standart parameters: epsC, rho, mu, stepnumber4avg, stepnumber4delay

Definition at line 15 of file invertmotorcontroller.h.

## Public Member Functions
| InvertMotorController (unsigned short buffersize)
virtual paramval | getParam (const paramkey &key) const
virtual bool | setParam (const paramkey &key, paramval val)
virtual paramlist | getParamList () const
| The list of all parameters with there value as allocated lists.
## Protected Member Functions
void | putInBuffer (Matrix *buffer, const Matrix &vec, int delay=0)
## Static Protected Member Functions
static double | g (double z)
| neuron transfer function
static double | g_s (double z)
| first dervative
static double | g_s_inv (double z)
| inverse of the first derivative
static double | squash (double z)
| squashing function, to protect against to large weight updates
## Protected Attributes
paramval | epsC
paramval | desens
paramval | s4delay
paramval | s4avg
paramval | steps
paramval | epsA
paramval | factorB
paramval | zetaupdate
paramval | dampA
short | logaE
short | rootE
short | relativeE
paramval | squashSize
paramval | adaptRate
paramval | nomUpdate
paramval | noiseB
paramval | teacher
int | t
unsigned short | buffersize
string | name
bool | initialised

## Constructor & Destructor Documentation

InvertMotorController | ( | unsigned short | buffersize | ) | `[inline]`

| Definition at line 17 of file invertmotorcontroller.h.

## Member Function Documentation

static double g | ( | double | z | ) | `[inline, static, protected]`

| neuron transfer function Definition at line 138 of file invertmotorcontroller.h.

static double g_s | ( | double | z | ) | `[inline, static, protected]`

| first dervative Definition at line 144 of file invertmotorcontroller.h.

static double g_s_inv | ( | double | z | ) | `[inline, static, protected]`

| inverse of the first derivative Definition at line 154 of file invertmotorcontroller.h.

virtual paramval getParam | ( | const paramkey & | key | ) | const`[inline, virtual]`

| Definition at line 40 of file invertmotorcontroller.h.

virtual paramlist getParamList | ( |  | ) | const`[inline, virtual]`

| The list of all parameters with there value as allocated lists. Returns: list of key-value pairs Reimplemented from Configurable. Definition at line 84 of file invertmotorcontroller.h.

void putInBuffer | ( | Matrix * | buffer,
|  | const Matrix & | vec,
|  | int | delay = `0`
| ) | `[inline, protected]`

| Definition at line 133 of file invertmotorcontroller.h.

virtual bool setParam | ( | const paramkey & | key,
|  | paramval | val
| ) | `[inline, virtual]`

| Definition at line 61 of file invertmotorcontroller.h.

static double squash | ( | double | z | ) | `[inline, static, protected]`

| squashing function, to protect against to large weight updates Definition at line 164 of file invertmotorcontroller.h.

## Member Data Documentation

paramval adaptRate`[protected]`

| Definition at line 121 of file invertmotorcontroller.h.

unsigned short buffersize`[protected]`

| Definition at line 127 of file invertmotorcontroller.h.

paramval dampA`[protected]`

| Definition at line 115 of file invertmotorcontroller.h.

paramval desens`[protected]`

| Definition at line 108 of file invertmotorcontroller.h.

paramval epsA`[protected]`

| Definition at line 112 of file invertmotorcontroller.h.

paramval epsC`[protected]`

| Definition at line 107 of file invertmotorcontroller.h.

paramval factorB`[protected]`

| Definition at line 113 of file invertmotorcontroller.h.

bool initialised`[protected]`

| Definition at line 129 of file invertmotorcontroller.h.

short logaE`[protected]`

| Definition at line 116 of file invertmotorcontroller.h.

string name`[protected]`

| Definition at line 128 of file invertmotorcontroller.h.

paramval noiseB`[protected]`

| Definition at line 123 of file invertmotorcontroller.h.

paramval nomUpdate`[protected]`

| Definition at line 122 of file invertmotorcontroller.h.

short relativeE`[protected]`

| Definition at line 118 of file invertmotorcontroller.h.

short rootE`[protected]`

| Definition at line 117 of file invertmotorcontroller.h.

paramval s4avg`[protected]`

| Definition at line 110 of file invertmotorcontroller.h.

paramval s4delay`[protected]`

| Definition at line 109 of file invertmotorcontroller.h.

paramval squashSize`[protected]`

| Definition at line 120 of file invertmotorcontroller.h.

paramval steps`[protected]`

| Definition at line 111 of file invertmotorcontroller.h.

int t`[protected]`

| Definition at line 126 of file invertmotorcontroller.h.

paramval teacher`[protected]`

| Definition at line 124 of file invertmotorcontroller.h.

paramval zetaupdate`[protected]`

| Definition at line 114 of file invertmotorcontroller.h.